Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.pcl.fonts.truetype
Class PCLTTFFontReader

    java.lang.Object
      org.apache.fop.render.pcl.fonts.PCLFontReader
          org.apache.fop.render.pcl.fonts.truetype.PCLTTFFontReader

    public class PCLTTFFontReader

extends PCLFontReader

Field Summary
`protected java.io.InputStream` | `fontStream`
`protected FontFileReader` | `reader`
`protected TTFFile` | `ttfFont`

Fields inherited from class org.apache.fop.render.pcl.fonts.PCLFontReader
`font, typeface`

Constructor Summary
`PCLTTFFontReader(Typeface font)`

Method Summary
`protected byte[]` | `createHmtx(java.util.Map<java.lang.Character,java.lang.Integer> mappedGlyphs)`
`int` | `getBaselinePosition()`
`int` | `getCapHeight()`
`int` | `getCellHeight()`
`int` | `getCellWidth()`
`java.util.Map<java.lang.Integer,int[]>` | `getCharacterOffsets()` Character Definitions
`protected static int` | `getCheckSum(byte[] data, int start, int size)`
`int` | `getDescriptorSize()` Header Data
`int` | `getFirstCode()`
`OpenFont` | `getFontFile()`
`FontFileReader` | `getFontFileReader()`
`java.lang.String` | `getFontName()`
`int` | `getFontNumber()`
`int` | `getFontScalingTechnology()`
`java.util.List<PCLFontSegment>` | `getFontSegments(java.util.Map<java.lang.Character,java.lang.Integer> mappedGlyphs)` Segmented Font Data
`int` | `getFontType()`
`int` | `getHeaderFormat()`
`int` | `getHeight()`
`int` | `getHeightExtended()`
`int` | `getLastCode()`
`int` | `getMasterUnderlinePosition()`
`int` | `getMasterUnderlineThickness()`
`int` | `getOrientation()`
`int` | `getPitch()`
`int` | `getPitchExtended()`
`int` | `getPlacement()`
`int` | `getQuality()`
`int` | `getScaleFactor()`
`int` | `getSerifStyle()`
`int` | `getSpacing()`
`int` | `getStrokeWeight()`
`int` | `getStyleLSB()`
`int` | `getStyleMSB()`
`int` | `getSymbolSet()`
`int` | `getTextHeight()`
`int` | `getTextWidth()`
`int` | `getTypefaceLSB()`
`int` | `getTypefaceMSB()`
`int` | `getUnderlinePosition()`
`int` | `getUnderlineThickness()`
`int` | `getVariety()`
`int` | `getWidthType()`
`int` | `getXHeight()`
`protected void` | `loadFont()`
`protected void` | `readFontTables()`
`java.util.Map<java.lang.Integer,java.lang.Integer>` | `scanMtxCharacters()`

Methods inherited from class org.apache.fop.render.pcl.fonts.PCLFontReader
`getLSB, getMSB, setFont`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ttfFont

    protected TTFFile ttfFont

### fontStream

    protected java.io.InputStream fontStream

### reader

    protected FontFileReader reader

Constructor Detail

### PCLTTFFontReader

    public PCLTTFFontReader(Typeface font)
                     throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### loadFont

    protected void loadFont()
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### readFontTables

    protected void readFontTables()
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### getDescriptorSize

    public int getDescriptorSize()

  Description copied from class: `PCLFontReader`
  Header Data

  Specified by:
    `getDescriptorSize` in class `PCLFontReader`

### getHeaderFormat

    public int getHeaderFormat()

  Specified by:
    `getHeaderFormat` in class `PCLFontReader`

### getFontType

    public int getFontType()

  Specified by:
    `getFontType` in class `PCLFontReader`

### getStyleMSB

    public int getStyleMSB()

  Specified by:
    `getStyleMSB` in class `PCLFontReader`

### getBaselinePosition

    public int getBaselinePosition()

  Specified by:
    `getBaselinePosition` in class `PCLFontReader`

### getCellWidth

    public int getCellWidth()

  Specified by:
    `getCellWidth` in class `PCLFontReader`

### getCellHeight

    public int getCellHeight()

  Specified by:
    `getCellHeight` in class `PCLFontReader`

### getOrientation

    public int getOrientation()

  Specified by:
    `getOrientation` in class `PCLFontReader`

### getSpacing

    public int getSpacing()

  Specified by:
    `getSpacing` in class `PCLFontReader`

### getSymbolSet

    public int getSymbolSet()

  Specified by:
    `getSymbolSet` in class `PCLFontReader`

### getPitch

    public int getPitch()

  Specified by:
    `getPitch` in class `PCLFontReader`

### getHeight

    public int getHeight()

  Specified by:
    `getHeight` in class `PCLFontReader`

### getXHeight

    public int getXHeight()

  Specified by:
    `getXHeight` in class `PCLFontReader`

### getWidthType

    public int getWidthType()

  Specified by:
    `getWidthType` in class `PCLFontReader`

### getStyleLSB

    public int getStyleLSB()

  Specified by:
    `getStyleLSB` in class `PCLFontReader`

### getStrokeWeight

    public int getStrokeWeight()

  Specified by:
    `getStrokeWeight` in class `PCLFontReader`

### getTypefaceLSB

    public int getTypefaceLSB()

  Specified by:
    `getTypefaceLSB` in class `PCLFontReader`

### getTypefaceMSB

    public int getTypefaceMSB()

  Specified by:
    `getTypefaceMSB` in class `PCLFontReader`

### getSerifStyle

    public int getSerifStyle()

  Specified by:
    `getSerifStyle` in class `PCLFontReader`

### getQuality

    public int getQuality()

  Specified by:
    `getQuality` in class `PCLFontReader`

### getPlacement

    public int getPlacement()

  Specified by:
    `getPlacement` in class `PCLFontReader`

### getUnderlinePosition

    public int getUnderlinePosition()

  Specified by:
    `getUnderlinePosition` in class `PCLFontReader`

### getUnderlineThickness

    public int getUnderlineThickness()

  Specified by:
    `getUnderlineThickness` in class `PCLFontReader`

### getTextHeight

    public int getTextHeight()

  Specified by:
    `getTextHeight` in class `PCLFontReader`

### getTextWidth

    public int getTextWidth()

  Specified by:
    `getTextWidth` in class `PCLFontReader`

### getFirstCode

    public int getFirstCode()

  Specified by:
    `getFirstCode` in class `PCLFontReader`

### getLastCode

    public int getLastCode()

  Specified by:
    `getLastCode` in class `PCLFontReader`

### getPitchExtended

    public int getPitchExtended()

  Specified by:
    `getPitchExtended` in class `PCLFontReader`

### getHeightExtended

    public int getHeightExtended()

  Specified by:
    `getHeightExtended` in class `PCLFontReader`

### getCapHeight

    public int getCapHeight()

  Specified by:
    `getCapHeight` in class `PCLFontReader`

### getFontNumber

    public int getFontNumber()

  Specified by:
    `getFontNumber` in class `PCLFontReader`

### getFontName

    public java.lang.String getFontName()

  Specified by:
    `getFontName` in class `PCLFontReader`

### getScaleFactor

    public int getScaleFactor()
                       throws java.io.IOException

  Specified by:
    `getScaleFactor` in class `PCLFontReader`
  Throws:
    `java.io.IOException`

### getMasterUnderlinePosition

    public int getMasterUnderlinePosition()
                                   throws java.io.IOException

  Specified by:
    `getMasterUnderlinePosition` in class `PCLFontReader`
  Throws:
    `java.io.IOException`

### getMasterUnderlineThickness

    public int getMasterUnderlineThickness()
                                    throws java.io.IOException

  Specified by:
    `getMasterUnderlineThickness` in class `PCLFontReader`
  Throws:
    `java.io.IOException`

### getFontScalingTechnology

    public int getFontScalingTechnology()

  Specified by:
    `getFontScalingTechnology` in class `PCLFontReader`

### getVariety

    public int getVariety()

  Specified by:
    `getVariety` in class `PCLFontReader`

### getFontSegments

    public java.util.List<PCLFontSegment> getFontSegments(java.util.Map<java.lang.Character,java.lang.Integer> mappedGlyphs)
                                                   throws java.io.IOException

  Description copied from class: `PCLFontReader`
  Segmented Font Data

  Specified by:
    `getFontSegments` in class `PCLFontReader`
  Throws:
    `java.io.IOException`

### getCharacterOffsets

    public java.util.Map<java.lang.Integer,int[]> getCharacterOffsets()
                                                               throws java.io.IOException

  Description copied from class: `PCLFontReader`
  Character Definitions

  Specified by:
    `getCharacterOffsets` in class `PCLFontReader`
  Throws:
    `java.io.IOException`

### getFontFile

    public OpenFont getFontFile()

  Specified by:
    `getFontFile` in class `PCLFontReader`

### getFontFileReader

    public FontFileReader getFontFileReader()

  Specified by:
    `getFontFileReader` in class `PCLFontReader`

### getCheckSum

    protected static int getCheckSum(byte[] data,
                                     int start,
                                     int size)

### createHmtx

    protected byte[] createHmtx(java.util.Map<java.lang.Character,java.lang.Integer> mappedGlyphs)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### scanMtxCharacters

    public java.util.Map<java.lang.Integer,java.lang.Integer> scanMtxCharacters()
                                                                         throws java.io.IOException

  Specified by:
    `scanMtxCharacters` in class `PCLFontReader`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.